Package org.drinkless.tdlib

# Class TdApi.GetLanguagePackString

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.LanguagePackStringValue>
org.drinkless.tdlib.TdApi.GetLanguagePackString

Enclosing class:
  `TdApi`

public static class TdApi.GetLanguagePackString extends TdApi.Function<TdApi.LanguagePackStringValue>
Returns a string stored in the local database from the specified localization target and language pack by its key. Returns a 404 error if the string is not found. Can be called synchronously.

Returns `LanguagePackStringValue`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `key`
  Language pack key of the string to be returned.
  `String`
  `languagePackDatabasePath`
  Path to the language pack database in which strings are stored.
  `String`
  `languagePackId`
  Language pack identifier.
  `String`
  `localizationTarget`
  Localization target to which the language pack belongs.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetLanguagePackString()`
  Default constructor for a function, which returns a string stored in the local database from the specified localization target and language pack by its key.
  `GetLanguagePackString(String languagePackDatabasePath, String localizationTarget, String languagePackId, String key)`
  Creates a function, which returns a string stored in the local database from the specified localization target and language pack by its key.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### languagePackDatabasePath

    public String languagePackDatabasePath
    Path to the language pack database in which strings are stored.

  - ### localizationTarget

    public String localizationTarget
    Localization target to which the language pack belongs.

  - ### languagePackId

    public String languagePackId
    Language pack identifier.

  - ### key

    public String key
    Language pack key of the string to be returned.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetLanguagePackString

    public GetLanguagePackString()
    Default constructor for a function, which returns a string stored in the local database from the specified localization target and language pack by its key. Returns a 404 error if the string is not found. Can be called synchronously.

    Returns `LanguagePackStringValue`

  - ### GetLanguagePackString

    public GetLanguagePackString(String languagePackDatabasePath, String localizationTarget, String languagePackId, String key)
    Creates a function, which returns a string stored in the local database from the specified localization target and language pack by its key. Returns a 404 error if the string is not found. Can be called synchronously.

    Returns `LanguagePackStringValue`

    Parameters:
      `languagePackDatabasePath` - Path to the language pack database in which strings are stored.
      `localizationTarget` - Localization target to which the language pack belongs.
      `languagePackId` - Language pack identifier.
      `key` - Language pack key of the string to be returned.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.LanguagePackStringValue>`
    Returns:
      this.CONSTRUCTOR